/*

    Camera Module 3D Model
    Eirik Taylor, 01.06.2016

*/

module cameraModule() 
// Mounting holes where required
union()
{
    // Size definitions
    Camera_width = 41;
    Camera_height = 38;
    Camera_depth = 24;
    
    // Tolerances in printing
    PCB_perimeter_tolerance = 1; // Placed all around the PCB
    
    // Center everything
    translate([-Camera_width/2, -Camera_depth/2, 0])
    
    // Mounting holes and PCB box
    union() 
    {
        // box
        totalWidth = Camera_width + 2*PCB_perimeter_tolerance;
        totalHeight = Camera_height + 2*PCB_perimeter_tolerance;
        totalDepth = Camera_depth + 2*PCB_perimeter_tolerance;
            
        translate([-PCB_perimeter_tolerance, -PCB_perimeter_tolerance, 0])
        cube([totalWidth, totalDepth, totalHeight]);
    }
}

cameraModule();
