module cubeWithRoundedCorners(height, length, width, roundingRadius)
union()
{
    translate([-length/2+roundingRadius, -width/2+roundingRadius, 0])
    minkowski()
    {
        if (roundingRadius != 0)
        {
            cube([length-2*roundingRadius, width-2*roundingRadius, height-1]);
        }
        else
        {
            cube([length-2*roundingRadius, width-2*roundingRadius, height]);
        }
        
        cylinder(r=roundingRadius, h=1);
    }
}

module homePlugMountingStruct(diamter, height, mountingPidestalHeight, mountingPidestalLength, mountingPidestalWidth, mountingPidestalRadius)
union()
{
    MountingHoleDistance = 27.7;
    
    translate([-MountingHoleDistance/2, 0, 0])
    {
        cylinder(height, diamter/2, diamter/2);
        
        translate([MountingHoleDistance, 0, 0])
        cylinder(height, diamter/2, diamter/2);
    }
    
    cubeWithRoundedCorners(mountingPidestalHeight, mountingPidestalLength, mountingPidestalWidth, mountingPidestalRadius);
}

homePlugMountingStruct(8, 30, 10, 40, 15, 5);
