// Mounting hole for raspberry pi

module rpiMountingHoles(diameter, height)
union()
{
    gridSpacingX = 58;
    gridSpacingY = 49;

    translate([-gridSpacingX/2, -gridSpacingY/2, 0])
    {
        cylinder(height, diameter/2, diameter/2);
        
        translate([gridSpacingX, 0, 0])
        cylinder(height, diameter/2, diameter/2);
        
        translate([0, gridSpacingY, 0])
        cylinder(height, diameter/2, diameter/2);
        
        translate([gridSpacingX, gridSpacingY, 0])
        cylinder(height, diameter/2, diameter/2);
    }
}

rpiMountingHoles(10, 40);