/*

Mounting deal for the servo

*/

module ServoMountingBracket(mountingPegLength, mountingPegDiamterIncrease)
union()
{
    // Mounting jig for the camera servo
    ServoPillarThickness = 10;
    ServoPillarHeight = 30;
    ServoPillarSpecialWidth = 18;
    
    MountingPegDiamter= 4;
    
    translate([-30, 0, -ServoPillarHeight])
    cube([20, ServoPillarThickness, ServoPillarHeight]);
    
    translate([20, 0, -ServoPillarHeight])
    difference()
    {
        cube([ServoPillarSpecialWidth, ServoPillarThickness, ServoPillarHeight]);
        
        RoundingRadius = 15;
        CubeHeight = 2*RoundingRadius;
        
        translate([3, 0, 15])
        difference()
        {
            translate([0, 0, -CubeHeight])
            cube(CubeHeight);
            
            translate([0, CubeHeight, 0])
            rotate([90, 0, 0])
            cylinder(h=CubeHeight, r=RoundingRadius);
        }
    }
    
    // Place mounting pegs on the bottom
    translate([-20, ServoPillarThickness/2, 0])
    cylinder(d=MountingPegDiamter+mountingPegDiamterIncrease, h=mountingPegLength);
    
    translate([34, ServoPillarThickness/2, 0])
    cylinder(d=MountingPegDiamter+mountingPegDiamterIncrease, h=mountingPegLength);
}

ServoMountingBracket(7, 0);